<?php
/*$dattt = array ( 
"Кемерово" => "29642" ,
"Вологда" => "27037" ,
"Великий Устюг" => "22981" ,
"Котлас" => "22887" ,
"Череповец" => "27113" ,
"Вытегра" => "22837" ,
"Тотьма" => "27051" ,
"Ярославль" => "27331" ,
"Сыктывкар" => "23804" ,
"Кострома" => "27333" ,
"Архангельск" => "22550" ,
"Москва" => "27612" ,
"Санкт-Петербург" => "26063"
); */
$city_id=27612; // id города
$data="http://export.yandex.ru/weather-ng/forecasts/$city_id.xml"; // адрес xml файла 
$xml = @simplexml_load_file($data); // раскладываем xml на массив
if(!isset($xml->fact->station)){ echo 'Такого города несуществует!'; exit;}
// выбираем требуемые параметры
$city=$xml->fact->station;
$temp=$xml->fact->temperature;
$pic=$xml->fact->image;
$type=$xml->fact->weather_type;
$vlaga=$xml->fact->humidity;
$press=$xml->fact->pressure;
$wind=$xml->fact->wind_direction;
$speed=$xml->fact->wind_speed;
if ($temp>0) {$temp='+'.$temp;}
if ($wind=calm){
$wind = 'Нет';
}




################################################################################
echo '<div class="menu">';
echo'<center> Погода в '.$city.' </center><br/>';

echo'<img src="http://img.yandex.net/i/wiz'.$pic.'.png" alt="'.$type.'">'.$temp.' °C<br/>';
echo'Тип: '.$type.'<br/>';
echo'Влажность: '.$vlaga.' %<br/>';
echo'Давление: '.$press.' мм.рт.ст<br/>';
echo'Напр.ветра: '.$wind.'<br/>';
echo'Скорость ветра: '.$speed.' М/с<br/>';


?>